package com.wonderkiln.camerakit.events;


import androidx.annotation.Nullable;

public class CameraKitError extends CameraKitEvent {

    private String type;
    private String message;
    private Exception exception;

    public  CameraKitError() {
        super(TYPE_ERROR);
    }

    public   CameraKitError(Exception exception) {
        super(TYPE_ERROR);
        this.exception = exception;
    }

    @Nullable
    public Exception getException() {
        return exception;
    }

}